[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Obscure build failure of PostgreSQL

On Thu, May 27, 2004 at 11:55:07PM +0200, Martin Pitt wrote:
> Hi 68k and ia64 porters!
> This afternoon I uploaded postgresql 7.4.2-5. Its build failed on ia64
> and m68k with:
> ---------------- snip ---------------------
> [...]
> m68k-linux-gcc -DCHECK_RLIMIT_NOFILE -fno-strict-aliasing -g -Wall -Wmissing-prototypes -Wmissing-declarations -pipe -I../../../../src/include -D_GNU_SOURCE  -I/usr/include/tcl8.4  -c -o xlog.o xlog.c
> ../../../../src/include/storage/s_lock.h: In function `tas':
> ../../../../src/include/storage/s_lock.h:292: error: inconsistent operand constraints in an `asm'
> ---------------- snip ---------------------
> The full logs are on [1] and [2].
> This somewhat confuses me, since previous revisions of 7.4.2 built
> without problems on both architectures and in addition this very
> version already built correctly on seven other archs (plus my own,
> i386). I did not change any upstream code that involves this file (in
> fact I only made a small bugfix in src/backend/libpq/hba.c, which did
> not touch any include file).
> Also, above error message is not very helpful: line 292 of s_lock.h
> is in a block that should only be processed on powerpc. I put this
> file on [3] if it helps you.
> ia64 and e. g. powerpc use exactly the same compiler version
> (gcc-3.3_1:3.3.3-9).
> Do you have any idea about that?
> Thanks in advance for any help!
> Martin
> [1] http://buildd.debian.org/fetch.php?&pkg=postgresql&ver=7.4.2-5&arch=m68k&stamp=1085672684&file=log&as=raw
> [2] http://buildd.debian.org/fetch.php?&pkg=postgresql&ver=7.4.2-5&arch=ia64&stamp=1085666097&file=log&as=raw
> [3] http://www.piware.de/s_lock.h

I noted that too, looks lik a first to me. Maybe we can try to build it
on the machine where it built previously (crest)? There might be something
hosed on my box. I guess we'd have to wait a while, since crest is doing
some large packages right now, but I have no better idea at the moment.

Except for this:
failed build on aahz:
Toolchain package versions: libc6-dev_2.3.2.ds1-12 gcc-3.3_1:3.3.3-7 g++-3.3_1:3.3.3-7 binutils_2. libstdc++5_1:3.3.3-7 libstdc++5-3.3-dev_1:3.3.3-7              

successful build on crest:
Toolchain package versions: libc6-dev_2.3.2.ds1-11 gcc-3.3_1:3.3.3-6 g++-3.3_1:3.3.3-6 binutils_2. libstdc++5_1:3.3.3-6 libstdc++5-3.3-dev_1:3.3.3-6


Reply to: